oEmbed, Embedly & Iframely

Gumlet supports oEmbed, embedly and iframely.

Gumlet embed code and gumlet.tv watch pages have native support for oEmbed, Embedly and Iframely. If you are using any platform like WordPress that utilises them, just pasting a video watch link will automatically convert that link to embed code.

oEmbed

If you are displaying video on your own platform without using Gumlet player or embed, you can still leverage oEmbed support. Here is how you can do it.

oEmbed is a standard framework across the Internet for Embedding video and other content. We support oEmbed for the widespread acceptability of Gumlet videos across platforms and devices.

Getting oEmbed response from Gumlet

Get the oEmbed response using a request:

GET https://api.gumlet.com/v1/oembed?url={video_url}
GET https://api.gumlet.com/v1/oembed?url=https://gumlet.tv/watch/64be6a1705ab8a164db198a5

The video URL (video_url) can support any of these schemes:

This URL is ... URL Scheme
A watch page https://gumlet.tv/watch/{video_id}
A play embed code https://play.gumlet.io/embed/{video_id}

You can add any parameters mentioned in the Table to customize.

Here is the sample response:

{
    "version": "1.0",
    "type": "video",
    "provider_name": "Gumlet",
    "provider_url": "https://www.gumlet.com/",
    "title": "launch video 3",
    "thumbnail_url": "https://video.gumlet.io/6435267e83c96cf7c982e560/64be6a1705ab8a164db198a5/thumbnail-1-0.png?v=1692964590857&width=800&height=450&dpr=2.0",
    "thumbnail_width": 800,
    "thumbnail_height": 450,
    "width": 800,
    "height": 450,
    "html": "<iframe allowfullscreen width=\"800\"  height=\"450\" src=\"https://play.gumlet.io/embed/64be6a1705ab8a164db198a5\" title=\"launch video 3\" frameBorder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; fullscreen\"></iframe>"
}

The response fields can be described as below:

Field Description
version The type of the oEmbed, which in this case is video.
type The version of the oEmbed Specifications.
provider_name The name of the oEmbed provider, i.e. Gumlet
provider_url The name of the oEmbed provider, i.e. https://www.gumlet.com/
title The title of the video
thumbnail_url The thumbnail URL of the video
thumbnail_width The width of the thumbnail
thumbnail_height The height of the thumbnail
width The height of the video
height The width of the video
html The <iframe>element for embedding the video.

Final Step

Embed the unescaped value from the response html field, and include it in your HTML page:

<html>
<head>
  <title>My Video Page</title>
</head>
<body>
  <iframe src="https://play.gumlet.io/embed/64be6a1705ab8a164db198a5" width="800" height="450" frameborder="0" title="launch video 3" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
</body>
</html>

Add discovery for your page

If you are building your own page with Gumlet video and want other players to convert it to Embed code automatically, you can add the oEmbed URL to the <head> section of your page.

<link rel="alternate" type="application/json+oembed" href="https://api.gumlet.com/v1/oembed?url=https://gumlet.tv/watch/64be6a1705ab8a164db198a5&amp;format=json"/>

The discovery tag helps editors, and platforms discover the oEmbed tag when you add the URL to a system that supports oEmbed discovery.